## org.gnu.gtk
Class Viewport

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Viewport

public class Viewport
extends Bin

A Viewport is a container that does not resize to fit in the space allocated to it. Instead, it adds scrollbars as necessary so you can view any part of the window.

Constructor Summary
`Viewport(Adjustment hadj, Adjustment vadj)` Construct a new Viewport with the given Adjustments.
`Viewport(org.gnu.glib.Handle handle)` Construct a Viewport using a handle to a native resource.

Method Summary
`Adjustment` `getHAdjustment()` Returns the horizontal Viewport's Adjustment.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`Adjustment` `getVAdjustment()` Returns the vertical Viewport's Adjustment.
`static Viewport` `getViewport(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`void` `setHAdjustment(Adjustment hadj)` Sets the horizontal Viewport's Adjustment.
`void` `setVAdjustment(Adjustment vadj)` Sets the vertical Viewport's Adjustment.

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Viewport

    public Viewport(Adjustment hadj,
                    Adjustment vadj)

  Construct a new Viewport with the given Adjustments.

Parameters:
  `hadj` - The horizontal Adjustment to use for the Viewport.
  `vadj` - The vertical Adjustment to use for the Viewport.

### Viewport

    public Viewport(org.gnu.glib.Handle handle)

  Construct a Viewport using a handle to a native resource.

Method Detail

### getViewport

    public static Viewport getViewport(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getHAdjustment

    public Adjustment getHAdjustment()

  Returns the horizontal Viewport's Adjustment. This can be used to connect the horizontal scrollbar to the child Widget's horizontal scroll functionality.

  Returns:
    The horizontal Viewport's Adjustment.

### setHAdjustment

    public void setHAdjustment(Adjustment hadj)

  Sets the horizontal Viewport's Adjustment.

  Parameters:
    `hadj` - The horizontal Adjustment.

### getVAdjustment

    public Adjustment getVAdjustment()

  Returns the vertical Viewport's Adjustment. This can be used to connect the vertical scrollbar to the child Widget's vertical scroll functionality.

  Returns:
    The vertical Viewport's Adjustment.

### setVAdjustment

    public void setVAdjustment(Adjustment vadj)

  Sets the vertical Viewport's Adjustment.

  Parameters:
    `vadj` - The vertical Adjustment.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.